GitLab
Repair a managed GitLab project
Re-runs the §10.2 provisioning convergence: refresh identity, service account, credentials, and the managed webhook.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
orgId*string
id*string
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/orgs/string/gitlab/projects/string/repair"{ "id": "string", "projectId": "string", "projectPath": "string", "defaultBranch": "string", "state": "provisioning", "stateReason": "string", "installerConnectionId": "string", "accounts": [ { "agentId": "string", "username": "string", "displayName": "string", "userId": "string", "state": "provisioning", "stateReason": "string" } ], "webhookState": "not_needed", "credentialEpoch": "string", "createdAt": "string"}